FLOOR(3)

NAME
floor, floorf, floorl - largest integral value less than or equal to x

LIBRARY
libm

SYNOPSIS
#include <math.h>
double
floor(double x);
float
floorf(float x);
long double
floorl(long double x);

DESCRIPTION
The floor(), floorf() and floorl() functions return the largest integral value less than or equal to x, expressed as a floating-point number.

SEE ALSO
abs(3), ceil(3), fabs(3), ieee(3), math(3), rint(3), round(3), trunc(3)

STANDARDS
The floor() function conforms to isoC. The floorf() and floorl() functions conform to isoC-99.